Bug 439661 - Calculates wrong file size
Summary: Calculates wrong file size
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bchunk   
(Show other bugs)
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1288778 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-30 02:04 UTC by Amadeus
Modified: 2015-12-06 23:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-12 18:56:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debian's patch that fixes the file size calculation (679 bytes, patch)
2008-03-30 02:04 UTC, Amadeus
no flags Details | Diff

Description Amadeus 2008-03-30 02:04:10 UTC
When saving wave files, it calculates the wrong file size resulting it corrupt
wave files.

The attached patch fixes this.

It is taken from Debian's bchunk (1.2.0-4)

From Debian's ChangeLog:

+  * Piotr Kaczuba <pepe@attika.ath.cx> provided a simpler patch, hence replaced
+    01-track-size.dpatch with the new one.
+
+ -- Daniel Baumann <daniel@debian.org>  Fri,  8 Sep 2006 20:18:00 +0200

Comment 1 Amadeus 2008-03-30 02:04:10 UTC
Created attachment 299605 [details]
Debian's patch that fixes the file size calculation

Comment 2 Michael Schwendt 2008-03-30 15:39:48 UTC
I look for someone to take over the bchunk package.
Are you interested?


Comment 3 Michael Schwendt 2008-04-03 19:22:44 UTC
There is some serious miscommunication here.
Bug was found and reported on 24th July, 2004 (Debian) with
a revised patch two years later. Still, in over three years in
total, no fix has been released by upstream for this problem or
the several other issues that seem to exist. Package seems to be
dead upstream.

I'm officially orphaning this tiny package.


Comment 4 Alan Olsen 2008-04-04 16:16:56 UTC
I am adopting this package.  I will test the patch this weekend.

Comment 5 Amadeus 2008-04-04 17:27:52 UTC
You can test it by

bchunk -w test.bin test.cue songname

bchunk will then start extracting the tracks to wave. At the end of the process
bchunk will tell you that the file ended too early.

When you listen to wave files you can hear a small "tick" on track 1, and the
last song ends too early.

With the patch all this is fixed.


Comment 6 Amadeus 2008-04-23 22:05:30 UTC
If SHNtool[0] could be added to the repository, bchunk could be removed without
anyone missing it. (If anyone would miss it?)

shntool is much superior to bchunk, and it is active maintained.

Here is an example of shntool converting a cue/bin to flac.

FLAC="$(echo *flac)"
CUE="$(echo *cue)"
shntool split -f "$CUE" -o "flac flac --best -o %f -" -a track "$FLAC"

An argument for removing bchunk regardlessly could be os it support for ripping
Play Station discs, which could be legally questioned.

Ps. Eventhough I opened the bug, I have switched to shntool, and will never look
back again at bchunk.

[0] http://etree.org/shnutils/shntool/


Comment 7 Bug Zapper 2008-05-14 08:25:40 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Amadeus 2008-10-11 20:06:10 UTC
Given the very low interest in this buggy software, how about that it is removed, rather than shipping a program that doesn't work?

Comment 9 Bug Zapper 2009-06-09 23:55:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Michael Schwendt 2009-06-10 05:57:37 UTC
*ping* Alan?

Comment 11 Michael Schwendt 2009-07-14 10:41:29 UTC
Request to remove "bchunk" from F-12 devel:
https://fedorahosted.org/rel-eng/ticket/1977

Packager is not reachable (last mail sent on Sat, 4 Jul 2009 11:52:07 +0200 to personal address and Fedora Project alias).

Comment 12 Conrad Meyer 2009-08-12 18:56:28 UTC
Debian patch applied in devel, and tagged/built successfully:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1601607

I will update, tag, and build in release branches now.

Comment 13 Fedora Update System 2009-08-12 19:44:04 UTC
bchunk-1.2.0-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bchunk-1.2.0-9.fc10

Comment 14 Fedora Update System 2009-08-12 19:44:09 UTC
bchunk-1.2.0-9.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bchunk-1.2.0-9.fc11

Comment 15 Conrad Meyer 2009-08-12 19:46:18 UTC
Updates submitted! If I don't get negative feedback in 2 weeks or so, they are going to stable.

Comment 16 Fedora Update System 2009-08-31 23:37:42 UTC
bchunk-1.2.0-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-08-31 23:42:12 UTC
bchunk-1.2.0-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Conrad Meyer 2015-12-06 20:12:03 UTC
*** Bug 1288778 has been marked as a duplicate of this bug. ***

Comment 19 XieOz 2015-12-06 23:08:04 UTC
Problem still persist with bchunk-1.2.0-17 (Fedora 23).


Note You need to log in before you can comment on or make changes to this bug.